How to Resolve "Your PHP installation appears to be missing the MySQL extension which is required by WordPress"

WordPress - Your PHP installation appears to be missing the MySQL extension which is required by WordPress.

If you saw this error in the browser during WordPress installation:

Your PHP installation appears to be missing the MySQL extension which is required by WordPress.

That's because WordPress requires MySQL extension of PHP to access the database.

php-mysqlnd

In this moment, you need to install php-mysqlnd module.

[root@web ~]# yum -y install php-mysqlnd

For Debian distros, you can use apt-get to install this module.

No worry about the abstraction layer of database connection, the dependency module php-pdo will be installed as well.

Leave a Reply

Your email address will not be published. Required fields are marked *